package fr.vincentRamiere.simpleatBack;

import java.util.ArrayList;
import java.util.Arrays;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

import fr.vincentRamiere.simpleatBack.exception.ExistingUsernameException;
import fr.vincentRamiere.simpleatBack.model.EnumRole;
import fr.vincentRamiere.simpleatBack.model.Personne;
import fr.vincentRamiere.simpleatBack.service.PersonneService;

@SpringBootApplication
public class SimpleatApplication {
	


	public static void main(String[] args) {
		SpringApplication.run(SimpleatApplication.class, args);
	}
	@Bean
    public BCryptPasswordEncoder bCryptPasswordEncoder() {
        return new BCryptPasswordEncoder();
    }
	
	
   


}
